Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface OligoArrayAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface OligoArrayAdaptor
extends Adaptor

Adaptor for retrieving microarrays.

Author:
  Craig Melsopp
See Also:
  `OligoArray`

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`java.util.List` | `fetch()` Fetch all microarrays from the database.
`OligoArray` | `fetch(long internalID)` Retrieve OligoArray with specified internal ID.
`OligoArray` | `fetch(java.lang.String name)` Retrieve OligoArray with specified name.

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Method Detail

### fetch

    public OligoArray fetch(long internalID)
                     throws AdaptorException

  Retrieve OligoArray with specified internal ID.

  Parameters:
    `internalID` - internal ID of OligoArray in database.
  Returns:
    OligoArray with specified internal ID, or null if none found.
  Throws:
    `AdaptorException`

### fetch

    public OligoArray fetch(java.lang.String name)
                     throws AdaptorException

  Retrieve OligoArray with specified name.

  Parameters:
    `name` - name of an OligoArray in database.
  Returns:
    OligoArray with specified name, or null if none found.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch()
                         throws AdaptorException

  Fetch all microarrays from the database.

  Returns:
    zero or more microarrays.
  Throws:
    `AdaptorException`
  See Also:
    `OligoArray`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD